### Method

# Gtk Widget activate_action_variant

#### Declaration [src]

    gboolean
    gtk_widget_activate_action_variant (
      GtkWidget* widget,
      const char* name,
      GVariant* args
    )

#### Description [src]

Looks up the action in the action groups associated with `widget` and its ancestors, and activates it.

If the action is in an action group added with gtk_widget_insert_action_group(), the `name` is expected to be prefixed with the prefix that was used when the group was inserted.

The arguments must match the actions expected parameter type, as returned by `g_action_get_parameter_type()`.

#### Parameters

`name` | `const char*`
| The name of the action to activate.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`args` | `GVariant*`
| Parameters to use.
| The argument can be `NULL`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| `TRUE` if the action was activated, `FALSE` if the action does not exist.